#!/bin/sh

set -e

case "$1" in
purge)
    rm -rf /var/lib/pyicqt
    rm -rf /var/log/pyicqt
    rm -rf /var/run/pyicqt
    # delete user
    if getent passwd pyicqt >/dev/null; then
        if [ -x /usr/sbin/deluser ]; then
            deluser --system pyicqt
        fi
    fi
    # delete group
    if getent group pyicqt >/dev/null; then
        if [ -x /usr/sbin/delgroup ]; then
            delgroup --system pyicqt
        fi
    fi
    ;;
remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
    ;;
*)
    echo "postrm called with unknown argument '$1'" >&2
    exit 1
    ;;
esac

#DEBHELPER#

exit 0
